LotusSpreadsheetInternal::Spreadsheet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
LotusSpreadsheetInternal::Spreadsheet Class Reference

the spreadsheet of a LotusSpreadsheet More...

## Public Member Functions
| Spreadsheet ()
| a constructor More...
Cell & | getCell (Vec2i const &pos)
| return a cell corresponding to a spreadsheet, create one if needed More...
void | setColumnWidthInChar (int col, int w=-1)
| set the columns size More...
float | getRowHeight (int row) const
| returns the row size in point More...
void | setRowHeight (int row, int h)
| set the rows size More...
void | compressRowHeights ()
| try to compress the list of row height More...
int | getRowStyleId (int row) const
| returns the row style id corresponding to a sheetId (or -1) More...
bool | empty () const
| returns true if the spreedsheet is empty More...

## Static Public Member Functions
static std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize, float factor=1)
| convert the m_widthColsInChar, m_rowHeightMap in a vector of of point size More...

## Public Attributes
librevenge::RVNGString | m_name
| the sheet name More...
int | m_numCols
| the number of columns More...
int | m_numRows
| the number of rows More...
std::map< int, Vec2i > | m_boundsColsMap
| a map used to stored the min/max row of each columns More...
std::vector< int > | m_widthColsInChar
| the column size in char More...
std::map< Vec2i, int > | m_rowHeightMap
| the map Vec2i(min row, max row) to size in points More...
int | m_heightDefault
| the default row size in point More...
std::vector< int > | m_rowPageBreaksList
| the list of row page break More...
std::map< Vec2i, Cell > | m_positionToCellMap
| a map cell to not empty cells More...
std::map< Vec2i, size_t > | m_rowToStyleIdMap
| map Vec2i(min row, max row) to state row style id More...

## Detailed Description

the spreadsheet of a LotusSpreadsheet

## Constructor & Destructor Documentation

LotusSpreadsheetInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

a constructor

## Member Function Documentation

void LotusSpreadsheetInternal::Spreadsheet::compressRowHeights | ( |  | ) |
| inline

try to compress the list of row height

Referenced by LotusSpreadsheet::sendSpreadsheet().

static std::vector<float> LotusSpreadsheetInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize,
|  | float | factor = `1`
| ) |  |
| inlinestatic

convert the m_widthColsInChar, m_rowHeightMap in a vector of of point size

Referenced by LotusSpreadsheet::sendSpreadsheet().

bool LotusSpreadsheetInternal::Spreadsheet::empty | ( |  | ) | const
| inline

returns true if the spreedsheet is empty

Cell& LotusSpreadsheetInternal::Spreadsheet::getCell | ( | Vec2i const & | pos | ) |
| inline

return a cell corresponding to a spreadsheet, create one if needed

Referenced by LotusSpreadsheet::readCell().

float LotusSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

Referenced by LotusSpreadsheet::sendSpreadsheet().

int LotusSpreadsheetInternal::Spreadsheet::getRowStyleId | ( | int | row | ) | const
| inline

returns the row style id corresponding to a sheetId (or -1)

Referenced by LotusSpreadsheet::sendRowContent().

void LotusSpreadsheetInternal::Spreadsheet::setColumnWidthInChar | ( | int | col,
|  | int | w = `-1`
| ) |  |
| inline

set the columns size

Referenced by LotusSpreadsheet::readColumnSizes().

void LotusSpreadsheetInternal::Spreadsheet::setRowHeight | ( | int | row,
|  | int | h
| ) |  |
| inline

set the rows size

Referenced by LotusSpreadsheet::readRowSizes().

## Member Data Documentation

std::map<int, Vec2i> LotusSpreadsheetInternal::Spreadsheet::m_boundsColsMap

a map used to stored the min/max row of each columns

Referenced by LotusSpreadsheet::readColumnDefinition().

int LotusSpreadsheetInternal::Spreadsheet::m_heightDefault

the default row size in point

librevenge::RVNGString LotusSpreadsheetInternal::Spreadsheet::m_name

the sheet name

int LotusSpreadsheetInternal::Spreadsheet::m_numCols

the number of columns

int LotusSpreadsheetInternal::Spreadsheet::m_numRows

the number of rows

std::map<Vec2i, Cell> LotusSpreadsheetInternal::Spreadsheet::m_positionToCellMap

a map cell to not empty cells

Referenced by LotusSpreadsheet::sendRowContent(), and LotusSpreadsheet::sendSpreadsheet().

std::map<Vec2i,int> LotusSpreadsheetInternal::Spreadsheet::m_rowHeightMap

the map Vec2i(min row, max row) to size in points

Referenced by LotusSpreadsheet::sendSpreadsheet().

std::vector<int> LotusSpreadsheetInternal::Spreadsheet::m_rowPageBreaksList

the list of row page break

std::map<Vec2i,size_t> LotusSpreadsheetInternal::Spreadsheet::m_rowToStyleIdMap

map Vec2i(min row, max row) to state row style id

Referenced by LotusSpreadsheet::sendSpreadsheet(), and LotusSpreadsheet::updateState().

std::vector<int> LotusSpreadsheetInternal::Spreadsheet::m_widthColsInChar

the column size in char

Referenced by LotusSpreadsheet::sendSpreadsheet().

The documentation for this class was generated from the following file:

- LotusSpreadsheet.cpp